package it.integry.integrywmsnative.gest.login;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;
import it.integry.integrywmsnative.core.rest.consumers.SystemRESTConsumer;
import it.integry.integrywmsnative.gest.login.rest.LoginRESTConsumer;
import it.integry.integrywmsnative.gest.login.viewmodel.LoginViewModel;

@Module(subcomponents = LoginComponent.class)
public class LoginModule {

    @Provides
    @Singleton
    LoginRESTConsumer provideLoginRESTConsumer() {
        return new LoginRESTConsumer();
    }

    @Provides
    LoginViewModel providesSpedizioneViewModel(SystemRESTConsumer systemRESTConsumer, LoginRESTConsumer loginRESTConsumer) {
        return new LoginViewModel(systemRESTConsumer, loginRESTConsumer);
    }

}
